Bug 231656

Summary: /etc/nsmb.conf requires workgroup and user names to be UPPERCASE, while mount_smbfs not.
Product: Base System Reporter: Gleb Popov <arrowd>
Component: binAssignee: freebsd-bugs mailing list <bugs>
Status: Closed FIXED    
Severity: Affects Only Me CC: yuripv
Priority: --- Keywords: patch
Version: 11.2-RELEASE   
Hardware: Any   
OS: Any   
URL: https://reviews.freebsd.org/D22289

Description Gleb Popov freebsd_committer 2018-09-24 09:20:58 UTC
When I run

mount_smbfs -I 172.16.34.25 //user@host/Cloud /mnt

it prompts me to enter a password and then successfully mounts the share.

However, putting

[host:user]
password=123123

into /etc/nsmb.conf and then running

mount_smbfs -N -I 172.16.34.25 //user@host/Cloud /mnt

doesn't work due to failing authentication.

I've sniffed packets and it turned out that mount_smbfs sends different hashes used to authenticate. After a bit of googling I found advice to write all SMB resource names in uppercase and it worked. After changing nsmb.conf contents to

[HOST:USER]
password=123123

the command with -N finally worked out.

Is it a bug, or I'm just misundestanding something?
Comment 1 Yuri Pankov freebsd_committer 2018-11-17 08:00:40 UTC
/etc/nsmb.conf actually mentions the requirement, nsmb.conf(5) doesn't though:

...
# SMB library uses next forms of section names (please note that the section
# name should be in upper case when it refers to server, user or share):
...
Comment 2 Gleb Popov freebsd_committer 2019-06-08 07:48:24 UTC
(In reply to Yuri Pankov from comment #1)

Even if man page had mentioned this behavior, I still think it is not enough visible for a user.

Can we just error out in mount_smbfs when config file has lowercase letters in section names?
Comment 3 Gleb Popov freebsd_committer 2019-12-03 04:53:50 UTC
Patch proposed here: https://reviews.freebsd.org/D22289
Comment 4 Gleb Popov freebsd_committer 2019-12-18 05:01:35 UTC
I'm waiting for a review on this for more than month. Can anyone take a look at this trivial change?
Comment 5 commit-hook freebsd_committer 2020-01-03 12:54:25 UTC
A commit references this bug:

Author: arrowd
Date: Fri Jan  3 12:54:15 UTC 2020
New revision: 356317
URL: https://svnweb.freebsd.org/changeset/base/356317

Log:
  mount_smbfs: Issue a warning when .nsmbrc section name contains lowercase characters.

  PR:		231656
  Approved by:	bapt
  MFC after:	3 days
  Differential Revision:	https://reviews.freebsd.org/D22289

Changes:
  head/contrib/smbfs/lib/smb/rcfile.c
Comment 6 commit-hook freebsd_committer 2020-01-09 19:56:28 UTC
A commit references this bug:

Author: bapt
Date: Thu Jan  9 19:56:25 UTC 2020
New revision: 356565
URL: https://svnweb.freebsd.org/changeset/base/356565

Log:
  MFC r356317 (by arrowd):

  mount_smbfs: Issue a warning when .nsmbrc section name contains lowercase characters.

  PR:  231656
  Approved by: bapt
  Differential Revision: https://reviews.freebsd.org/D22289

Changes:
_U  stable/12/
  stable/12/contrib/smbfs/lib/smb/rcfile.c
Comment 7 commit-hook freebsd_committer 2020-01-09 19:58:30 UTC
A commit references this bug:

Author: bapt
Date: Thu Jan  9 19:58:05 UTC 2020
New revision: 356566
URL: https://svnweb.freebsd.org/changeset/base/356566

Log:
  MFC r356317 (by arrowd):

  mount_smbfs: Issue a warning when .nsmbrc section name contains lowercase characters.

  PR:  231656
  Approved by: bapt
  Differential Revision: https://reviews.freebsd.org/D22289

Changes:
_U  stable/11/
  stable/11/contrib/smbfs/lib/smb/rcfile.c